/* -*- Mode: C; tab-width: 8; indent-tabs-mode: t; c-basic-offset: 8 -*- */
/* Copyright (c) 2007 Kimmo Kinnunen. All rights reserved.
 * bsd license
 */
#include "webi-external-content-delegate.h"
#include "webi.h"
#include "webi-resource.h"

/* we need to define the get_type function */
GType
webi_external_content_delegate_get_type ()
{
	static GType object_type = 0;
	if (!object_type) {
		static const GTypeInfo object_info = {
			sizeof (WebiExternalContentDelegateInterface),
			NULL,	/* base init */
			NULL,	/* base finalize */
		};
		object_type =
			g_type_register_static (G_TYPE_INTERFACE,
					        "WebiExternalContentDelegate",
						&object_info, 0);
	}
	return object_type;
}

void
webi_external_content_delegate_start (WebiExternalContentDelegate *self, WebiResource *resource)
{
	WEBI_EXTERNAL_CONTENT_DELEGATE_GET_INTERFACE (self)->start (self, resource);
}

void
webi_external_content_delegate_data (WebiExternalContentDelegate *self, WebiResource *resource, const gchar* data, int len)
{
	WEBI_EXTERNAL_CONTENT_DELEGATE_GET_INTERFACE (self)->data (self, resource, data, len);
}

void
webi_external_content_delegate_end (WebiExternalContentDelegate *self, WebiResource *resource, gboolean got_error)
{
	WEBI_EXTERNAL_CONTENT_DELEGATE_GET_INTERFACE (self)->end (self, resource, got_error);
}
