/* -*- Mode: C; tab-width: 8; indent-tabs-mode: t; c-basic-offset: 8 -*- */
/* Copyright (c) 2007 Kimmo Kinnunen. All rights reserved.
 * bsd licence
 */


#include "webi-url.h"

#include "gnet/uri.h"

gchar*
webi_url_str_get_host(const gchar* url)
{
	gchar* hostname;

	g_return_val_if_fail(url, NULL);

	GURI* uri = gnet_uri_new(url);
	if (!uri)
		return NULL;

	hostname = g_strdup(uri->hostname);

	gnet_uri_delete(uri);

	return hostname;
}

