/* -*- Mode: C++; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- */
/* Copyright (C) 2007 Kimmo Kinnunen <kimmok@iki.fi>
 * bsd license
 */
#ifndef loader_MIMETypeResolver_h
#define loader_MIMETypeResolver_h

#include <glib.h>

/*
 * This file defines mimetype resolver for resources which do not propagate
 * mime type on load. Example for these resources are files loaded with file: scheme
 * In theory this class can be extended and then sharedFactory can be implemented.
 * This way one could implement real mime type resolving with platform libraries such as
 * gnome-vfs. 
 */
namespace Loader {

class MIMETypeResolver
{
public:
	virtual ~MIMETypeResolver();

	/** @return "application/octet-stream if no mime-type can be found
	 */
	virtual const gchar* mimeTypeForURL(const gchar* url) const =0;

	static MIMETypeResolver& sharedFactory();

protected:
	MIMETypeResolver();

private:
	MIMETypeResolver(const MIMETypeResolver&);
	MIMETypeResolver& operator=(const MIMETypeResolver&) const;
};
}
#endif
