/* -*- Mode: C++; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- */

#ifndef own_gcharptr_h
#define own_gcharptr_h

#include <glib.h>

class own_gcharptr {
public:
	own_gcharptr() : m_ptr(0) {}
	own_gcharptr(const gchar* str) : m_ptr(g_strdup(str)) {}
	~own_gcharptr() { g_free(m_ptr); }

	own_gcharptr& operator=(const gchar* str) { if (m_ptr) g_free(m_ptr); m_ptr = g_strdup(str); return *this; }
	operator const gchar*() const { return m_ptr;}

	operator bool() const { return m_ptr; }

	/** for use with void* funcs */
	const gchar* ptr() const { return m_ptr;}

    own_gcharptr& adopt(gchar* ptr) { if (m_ptr && (m_ptr != ptr)) g_free(m_ptr); m_ptr = ptr; return *this;}

private:
	gchar* m_ptr;
};

#endif
