/* -*- Mode: C++; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- */
/*
 * Copyright (c) 2007 Hiroyuki Ikezoe All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * Redistributions of source code must retain the above copyright
 * notice, this list of conditions and the following disclaimer.
 *
 * Redistributions in binary form must reproduce the above copyright
 * notice, this list of conditions and the following disclaimer in the
 * documentation and/or other materials provided with the
 * distribution.
 *
 * Neither the name of authors nor the names of its contributors may be
 * used to endorse or promote products derived from this software
 * without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
 * FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
 * COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
 * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
 * STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
 * OF THE POSSIBILITY OF SUCH DAMAGE.
 */

#include "webkit-element-info.h"
#include "webkit-element-info-private.h"
#include <NRCore/WebCoreElementInfo.h>
/*
 * WebkitElementInfo is currently implemented in terms of WebCoreElementInfo
 * if there's some reason to change this (ie. we want to expose the
 * struct WebkitElementInfo_ to users for easy access) we can change it later
 */

const gchar*
webkit_element_info_get_link_title(WebkitElementInfo *element_info)
{
	return element_info->priv->linkTitle;
}

const gchar*
webkit_element_info_get_link_label(WebkitElementInfo *element_info)
{
	return element_info->priv->linkLabel;
}

const gchar*
webkit_element_info_get_link_url(WebkitElementInfo *element_info)
{
	return element_info->priv->linkURL;
}

const gchar*
webkit_element_info_get_link_target(WebkitElementInfo *element_info)
{
	return element_info->priv->linkTarget;
}

const gchar*
webkit_element_info_get_image_url(WebkitElementInfo *element_info)
{
	return element_info->priv->imageURL;
}

const gchar*
webkit_element_info_get_image_alt_text(WebkitElementInfo *element_info)
{
	return element_info->priv->imageAltText;
}
