/* -*- Mode: C; tab-width: 8; indent-tabs-mode: t; c-basic-offset: 8 -*- */
/* Copyright (c) 2007 Kimmo Kinnunen. All rights reserved.
 * bsd license
 */

#ifndef webkit_frame_h
#define webkit_frame_h

#include <glib.h>
#include <glib-object.h>

G_BEGIN_DECLS

#include <webkit-gtk/webkit-types.h>

#define WEBKIT_TYPE_FRAME (webkit_frame_get_type())
#define WEBKIT_FRAME(obj)   G_TYPE_CHECK_INSTANCE_CAST((obj), webkit_frame_get_type(), WebkitFrame)
#define WEBKIT_FRAME_CONST(obj) G_TYPE_CHECK_INSTANCE_CAST((obj), webkit_frame_get_type(), WebkitFrame const)
#define WEBKIT_FRAME_CLASS(klass)   G_TYPE_CHECK_CLASS_CAST((klass), webkit_frame_get_type(), WebkitFrameClass)
#define WEBKIT_IS_FRAME(obj)   G_TYPE_CHECK_INSTANCE_TYPE((obj), webkit_frame_get_type ())

#define WEBKIT_FRAME_GET_CLASS(obj) G_TYPE_INSTANCE_GET_CLASS((obj), webkit_frame_get_type(), WebkitFrameClass)

struct WebkitFrameClass_ {
	GObjectClass parent_class;

};

struct WebkitFrame_ {
	GObject parent;
};

GType webkit_frame_get_type();


const gchar* webkit_frame_get_name(WebkitFrame*);

WebkitView* webkit_frame_get_view(WebkitFrame* self);

WebkitFrameView* webkit_frame_get_frame_view(WebkitFrame* self);

void webkit_frame_load_request(WebkitFrame* self, WebkitURLRequest* request);

/** GET request to url */
void webkit_frame_load_http_get_str(WebkitFrame* self, const gchar* url);

void webkit_frame_load_html_string(WebkitFrame* self, const gchar* string, const gchar* base_url);


void webkit_frame_stop_loading(WebkitFrame* self);
void webkit_frame_reload(WebkitFrame* self);

void webkit_frame_set_ui_delegate(WebkitFrame* self, WebkitUIDelegate* delegate);

WebkitUIDelegate* webkit_get_ui_delegate(WebkitFrame* self);

void webkit_set_resource_load_delegate(WebkitFrame* self, WebkitResourceLoadDelegate* delegate);

WebkitResourceLoadDelegate* webkit_get_resource_load_delegate(WebkitFrame* self);


void webkit_set_frame_load_delegate(WebkitFrame* self, WebkitFrameLoadDelegate*);

WebkitFrameLoadDelegate* webkit_get_frame_load_delegate(WebkitFrame* self);


G_END_DECLS

#endif
