/* -*- Mode: C++; tab-width: 8; indent-tabs-mode: t; c-basic-offset: 8 -*- */
/* Copyright (c) 2007 Kimmo Kinnunen. All rights reserved.
 * bsd license
 */
#include "webkit-resource-load-delegate.h"
#include "webkit-api-helpers.h"

WEBKIT_DEFINE_TYPE_INTERFACE(WebkitResourceLoadDelegateInterface, webkit_resource_load_delegate);

#define SELF_IFACE WEBKIT_RESOURCE_LOAD_DELEGATE_GET_IFACE(self)

void* webkit_resource_load_delegate_user_data_for_initial_request(WebkitResourceLoadDelegate* self, WebkitURLRequest* request)
{
  return SELF_IFACE->user_data_for_initial_request(self, request);
}

void webkit_resource_load_delegate_did_receive_response(WebkitResourceLoadDelegate* self, void* user_data)
{
  SELF_IFACE->did_receive_response(self, user_data);
}

void webkit_resource_load_delegate_did_receive_content_length(WebkitResourceLoadDelegate* self, void* user_data, glong length)
{
  SELF_IFACE->did_receive_content_length(self, user_data, length);
}

void webkit_resource_load_delegate_did_finish_loading(WebkitResourceLoadDelegate* self, void* user_data)
{
  SELF_IFACE->did_finish_loading(self, user_data);
}

void webkit_resource_load_delegate_did_fail_loading(WebkitResourceLoadDelegate* self, void* user_data)
{
  SELF_IFACE->did_fail_loading(self, user_data);
}
