/* -*- Mode: C; tab-width: 8; indent-tabs-mode: t; c-basic-offset: 8 -*- */
/* Copyright (c) 2007 Kimmo Kinnunen. All rights reserved.
 * bsd license
 */

#ifndef webkit_resource_load_delegate_h
#define webkit_resource_load_delegate_h

#include <glib.h>
#include <glib-object.h>

/* this public api is not yet implemented in gtk-webcore. patches welcome :)
 */

G_BEGIN_DECLS

#include <webkit-gtk/webkit-types.h>

#define WEBKIT_TYPE_RESOURCE_LOAD_DELEGATE (webkit_resource_load_delegate_get_type())
#define WEBKIT_RESOURCE_LOAD_DELEGATE(obj)   G_TYPE_CHECK_INSTANCE_CAST((obj), webkit_resource_load_delegate_get_type(), WebkitResourceLoadDelegate)
#define WEBKIT_RESOURCE_LOAD_DELEGATE_CONST(obj) G_TYPE_CHECK_INSTANCE_CAST((obj), webkit_resource_load_delegate_get_type(), WebkitResourceLoadDelegate const)
#define WEBKIT_IS_RESOURCE_LOAD_DELEGATE(obj)   G_TYPE_CHECK_INSTANCE_TYPE((obj), webkit_resource_load_delegate_get_type ())
#define WEBKIT_RESOURCE_LOAD_DELEGATE_GET_IFACE(obj) G_TYPE_INSTANCE_GET_INTERFACE((obj), webkit_resource_load_delegate_get_type(), WebkitResourceLoadDelegateInterface)

struct WebkitResourceLoadDelegateInterface_ {
	GTypeInterface parent;

	void* (*user_data_for_initial_request)(WebkitResourceLoadDelegate* self, WebkitURLRequest* request);

	/** reset status if you track one */
	void (*did_receive_response)(WebkitResourceLoadDelegate* self, void* user_data);

	void (*did_receive_content_length)(WebkitResourceLoadDelegate* self, void* user_data, glong length);
	void (*did_finish_loading)(WebkitResourceLoadDelegate* self, void* user_data);
	void (*did_fail_loading)(WebkitResourceLoadDelegate* self, void* user_data);
};

GType webkit_resource_load_delegate_get_type();

void* webkit_resource_load_delegate_user_data_for_initial_request(WebkitResourceLoadDelegate* self, WebkitURLRequest* request);

void webkit_resource_load_delegate_did_receive_response(WebkitResourceLoadDelegate* self, void* user_data);

void webkit_resource_load_delegate_did_receive_content_length(WebkitResourceLoadDelegate* self, void* user_data, glong length);

void webkit_resource_load_delegate_did_finish_loading(WebkitResourceLoadDelegate* self, void* user_data);

void webkit_resource_load_delegate_did_fail_loading(WebkitResourceLoadDelegate* self, void* user_data);

G_END_DECLS

#endif
