/* -*- Mode: C++; tab-width: 8; indent-tabs-mode: t; c-basic-offset: 8 -*- */
/* Copyright (c) 2007 Kimmo Kinnunen. All rights reserved.
 * bsd license
 */

#include "webkit-ui-delegate.h"
#include "webkit-api-helpers.h"

WEBKIT_DEFINE_TYPE_INTERFACE(WebkitUIDelegateInterface, webkit_ui_delegate);

#define SELF_IFACE WEBKIT_UI_DELEGATE_GET_IFACE(self)

WebkitView* webkit_ui_delegate_create_view_with_request(WebkitUIDelegate* self, WebkitView* sender, WebkitURLRequest* request)
{
	return SELF_IFACE->create_view_with_request(self, sender, request);
}

void webkit_ui_delegate_show_view(WebkitUIDelegate* self, WebkitView* sender)
{
	SELF_IFACE->show_view(self, sender);
}

void webkit_ui_delegate_close_view (WebkitUIDelegate* self, WebkitView* sender)
{
	SELF_IFACE->close_view (self, sender);
}

void webkit_ui_delegate_set_status_text(WebkitUIDelegate* self, WebkitView* sender, const gchar* status_text)
{
	SELF_IFACE->set_status_text(self, sender, status_text);
}

const gchar* webkit_ui_delegate_get_status_text(WebkitUIDelegate* self, WebkitView* sender)
{
	return SELF_IFACE->get_status_text(self, sender);
}

void webkit_ui_delegate_run_javascript_alert_panel_with_message(WebkitUIDelegate* self, WebkitView* sender, const gchar* message, WebkitFrame *initiator_frame)
{
	SELF_IFACE->run_javascript_alert_panel_with_message(self, sender, message, initiator_frame);
}

gboolean webkit_ui_delegate_run_javascript_confirm_panel_with_message(WebkitUIDelegate* self, WebkitView* sender, const gchar* message, WebkitFrame *initiator_frame)
{
	return SELF_IFACE->run_javascript_confirm_panel_with_message(self, sender, message, initiator_frame);
}

gchar* webkit_ui_delegate_run_javascript_input_panel_with_prompt(WebkitUIDelegate* self, WebkitView* sender, const gchar* message, const gchar* default_text, WebkitFrame *initiator_frame)
{
	return SELF_IFACE->run_javascript_input_panel_with_prompt(self, sender, message, default_text, initiator_frame);
}

gboolean webkit_ui_delegate_mouse_action_on_element(WebkitUIDelegate* self, WebkitView* sender, WebkitElementInfo* element_info, WebkitMouseEventInfo* mouse_info)
{
	return SELF_IFACE->mouse_action_on_element(self, sender, element_info, mouse_info);
}
