/* -*- Mode: C; tab-width: 8; indent-tabs-mode: t; c-basic-offset: 8 -*- */
/* Copyright (c) 2007 Kimmo Kinnunen. All rights reserved.
 * bsd license
 */

#include "webkit-url-request.h"


G_DEFINE_TYPE(WebkitURLRequest, webkit_url_request, G_TYPE_OBJECT);

typedef struct WebkitURLRequestPrivate_ WebkitURLRequestPrivate;
struct WebkitURLRequestPrivate_
{
	gchar* url;
};

#define WEBKIT_URL_REQUEST_GET_PRIVATE(obj) (G_TYPE_INSTANCE_GET_PRIVATE((obj), WEBKIT_TYPE_URL_REQUEST, WebkitURLRequestPrivate))
#define SELF_PRIV(self) WebkitURLRequestPrivate* priv = WEBKIT_URL_REQUEST_GET_PRIVATE(self)

static void webkit_url_request_finalize(WebkitURLRequest *self);

static void webkit_url_request_init (WebkitURLRequest *self)
{
}

static void webkit_url_request_class_init (WebkitURLRequestClass *klass)
{
	/* register private structure */
	g_type_class_add_private(klass, sizeof(WebkitURLRequestPrivate));
	/* bind finalizing function */
	G_OBJECT_CLASS (klass)->finalize = (GObjectFinalizeFunc) webkit_url_request_finalize;
}


static void webkit_url_request_finalize(WebkitURLRequest *self)
{
	g_return_if_fail(WEBKIT_IS_URL_REQUEST(self));

	SELF_PRIV(self);
	if (priv->url)
		g_free(priv->url);
}

WebkitURLRequest* webkit_url_request_new_http_get(const gchar* url)
{
	WebkitURLRequest* self = WEBKIT_URL_REQUEST(g_object_new (WEBKIT_TYPE_URL_REQUEST,  NULL));
	SELF_PRIV(self);
	priv->url = g_strdup(url);
	return self;
}

const gchar* webkit_url_request_get_url_str(WebkitURLRequest *self)
{
	g_return_val_if_fail(WEBKIT_IS_URL_REQUEST(self), NULL);
	SELF_PRIV(self);
	return priv->url;
}
