/* -*- Mode: C; tab-width: 8; indent-tabs-mode: t; c-basic-offset: 8 -*- */
/* Copyright (c) 2007 Kimmo Kinnunen. All rights reserved.
 * bsd license
 */

#ifndef webkit_url_request_h
#define webkit_url_request_h

#include <glib.h>
#include <glib-object.h>

G_BEGIN_DECLS

#include <webkit-gtk/webkit-types.h>

#define WEBKIT_TYPE_URL_REQUEST (webkit_url_request_get_type())
#define WEBKIT_URL_REQUEST(obj)   G_TYPE_CHECK_INSTANCE_CAST((obj), webkit_url_request_get_type(), WebkitURLRequest)
#define WEBKIT_URL_REQUEST_CONST(obj) G_TYPE_CHECK_INSTANCE_CAST((obj), webkit_url_request_get_type(), WebkitURLRequest const)
#define WEBKIT_URL_REQUEST_CLASS(klass)   G_TYPE_CHECK_CLASS_CAST((klass), webkit_url_request_get_type(), WebkitURLRequestClass)
#define WEBKIT_IS_URL_REQUEST(obj)   G_TYPE_CHECK_INSTANCE_TYPE((obj), webkit_url_request_get_type ())

#define WEBKIT_URL_REQUEST_GET_CLASS(obj) G_TYPE_INSTANCE_GET_CLASS((obj), webkit_url_request_get_type(), WebkitURLRequestClass)

struct WebkitURLRequestClass_ {
	GObjectClass parent_class;

};

struct WebkitURLRequest_ {
	GObject parent;
};

GType webkit_url_request_get_type();

/* this class needs various useful constructors */

/** creates HTTP GET request, the main usecase */
WebkitURLRequest* webkit_url_request_new_http_get(const gchar* url);

/* .. other constructors .. */


const gchar* webkit_url_request_get_url_str(WebkitURLRequest* self);

G_END_DECLS

#endif
