/* -*- Mode: C; tab-width: 8; indent-tabs-mode: t; c-basic-offset: 8 -*- */
/* Copyright (c) 2007 Kimmo Kinnunen. All rights reserved.
 * bsd license
 */

#ifndef webkit_view_h
#define webkit_view_h

#include <glib.h>
#include <glib-object.h>
#include <gtk/gtk.h>

G_BEGIN_DECLS

#include <webkit-gtk/webkit-types.h>

#define WEBKIT_TYPE_VIEW (webkit_view_get_type())
#define WEBKIT_VIEW(obj)   G_TYPE_CHECK_INSTANCE_CAST((obj), webkit_view_get_type(), WebkitView)
#define WEBKIT_VIEW_CONST(obj) G_TYPE_CHECK_INSTANCE_CAST((obj), webkit_view_get_type(), WebkitView const)
#define WEBKIT_VIEW_CLASS(klass)   G_TYPE_CHECK_CLASS_CAST((klass), webkit_view_get_type(), WebkitViewClass)
#define WEBKIT_IS_VIEW(obj)   G_TYPE_CHECK_INSTANCE_TYPE((obj), webkit_view_get_type ())

#define WEBKIT_VIEW_GET_CLASS(obj) G_TYPE_INSTANCE_GET_CLASS((obj), webkit_view_get_type(), WebkitViewClass)


struct WebkitViewClass_ {
	GtkBinClass parent;

};

struct WebkitView_ {
	GtkBin parent;
};

GType webkit_view_get_type();

GtkWidget* webkit_view_new(const gchar* frame_name, const gchar* group_name);

WebkitFrame* webkit_view_get_main_frame(WebkitView* self);

const gchar* webkit_view_get_group_name(WebkitView* self);

void webkit_view_set_group_name(WebkitView* self, const gchar* group_name);

gboolean webkit_view_go_back(WebkitView* self);

gboolean webkit_view_go_forward(WebkitView* self);

void webkit_view_set_text_multiplier (WebkitView* self, gfloat multiplier);

gfloat webkit_view_get_text_multiplier (WebkitView* self);

gboolean webkit_view_can_go_back (WebkitView* self);

gboolean webkit_view_can_go_forward (WebkitView* self);

void webkit_view_set_application_name_for_user_agent(WebkitView* self, const gchar* application_name);

const gchar* webkit_view_get_application_name_for_user_agent(WebkitView* self);

void webkit_view_set_custom_user_agent(WebkitView* self, const gchar* user_agent_string);

const gchar* webkit_view_get_custom_user_agent(WebkitView* self);

gboolean webkit_view_search_for (WebkitView* self, const gchar* text, gboolean direction_forward, gboolean case_sensitive, gboolean wrap);

/* this corresponds to (more advanced) pasteboard -related thing in
 * WebKit WebView */
/* ownership change*/
gchar* webkit_view_get_current_selection_as_text(WebkitView* self);

const gchar* webkit_view_get_main_frame_url(WebkitView* self);

const gchar* webkit_view_get_main_frame_title(WebkitView* self);




G_END_DECLS

#endif
